Subject: Re: [HOKEY] New one-week WGLC limited to 5926bis IPR

From: Stephen Farrell <[email-masked]>
Date: Thu, 22 Mar 2012 15:39:06 +0000

Hi,

So IETF LC is done for this and I think my comment below
and the IANA considerations were the only things that came up.

Could the authors please handle my comment below (and check
I-D nits [1] as well which has a couple of things you may
as well handle at the same time).

For the IANA considerations, IANA asked what to do about the
existing registries in 5296 and I at least didn't know. The
IESG (I asked) felt that best would be to repeat the definition
here and ask IANA to make 5296bis be the reference for those
registries. (See some text by Barry Leiba below that makes
this clear.) If the authors/WG/chairs are ok with that the
can you do it? If you want to do something else, please tell
me what, and I'll do a quick check with the IESG that that'll
not cause a bunch of discusses.

Please post a new version after Monday and if it sorts all the
above, I'll put it on the following telechat agenda.

Thanks,
S.

[1] 
http://tools.ietf.org/idnits?url=http://tools.ietf.org/id/draft-ietf-hokey-rfc5296bis-06.txt

Barry's best bet for basically-the-same registries in bis RFCs:

Right, that's what we've done in the past.  If the original document
also created initial entries, and the definitions of those entries are
now in the bis document, in addition to changing the registry to point
to the bis document it's often useful to also list, in IANA
Considerations, what those entries are.  Something like this:
-----------------------------
RFC 7777:
IANA is asked to create the Frobozz Magic Registry, using the
"Specification Required" registration policy [BCP26].  IANA should
please register the following initial entries in that registry:

    Name       Reference                       Status
    plover       RFC 7777, section 3.2    active
    plugh        RFC 7777, section 3.5    active
    xyzzy        RFC 7777, section 3.6    active
-----------------------------
7777bis:
IANA is asked to update the Frobozz Magic Registry, which uses the
"Specification Required" registration policy [BCP26], to refer to this
RFC.  IANA should please also update the following entries in that
registry:

    Name       Reference                       Status
    plover       7777bis, section 3.2        active
    plugh        7777bis, section 3.6        active
    xyzzy        7777bis, section 3.9        active

IANA is asked to add a new entry to the Frobozz Magic Registry, as follows:

    Name       Reference                       Status
    pirate        7777bis, section 3.8        active
-----------------------------

On 02/21/2012 05:22 PM, Stephen Farrell wrote:
>
> Hi,
>
> Not about IPR as it happens, but caused by looking at that:-)
>
> I just happened to be looking at this and I've only now
> noticed that there is actually no reference for RFC5296
> in the body of the document, which I guess isn't quite
> right. (Yes, the meta-data is fine, and yes the
> abstract says it, but without a reference.)
>
> Sorry not to have spotted this before but I bet that
> it'd generate a nit-picking discuss so maybe better
> to head that off before we go there.
>
> I'd suggest adding a sentence to end of the introduction
> saying something like:
>
> This document updates RFC 5296. [RFC5296] The main
> changes are foo and bar.
>
> Or maybe something like:
>
> This document contains a set of minor updates to
> RFC 5296 [RFC5296] based on implementation and
> deployment experience.
>
> Or whatever is actually the case.
>
> And then add the (informative) reference of course!
>
> Cheers,
> S.
>
>
> On 02/18/2012 12:00 AM, Tina TSOU wrote:
>> Dear all,
>> This starts a new one-week WGLC limited to 5926bis IPR, which ends at
>> Feb 25, 2012.
>> http://datatracker.ietf.org/doc/draft-ietf-hokey-rfc5296bis/
>>
>> The existing IPR declaration is for 5296.
>> I've asked Microsoft, we've not heard back from Microsoft.
>> We'll need to get this sorted before this gets approved.
>>
>> Best Regards,
>> Glen& Tina
>>
>>
>> _______________________________________________
>> HOKEY mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/hokey
>>
> _______________________________________________
> HOKEY mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hokey
>

---

From: Glen Zorn <[email-masked]>
Date: Fri, 23 Mar 2012 08:02:16 +0100

> as well handle at the same time).

-07 (yet to be posted) has no problems w/I-D nits except for a spurious
warning about a missing references and the incorrect error about the
normative reference to RFC 2104.

> not cause a bunch of discusses.

Personally, I think it's a really bad idea for people to use RFCs as
references for protocol numbers; the IANA registry is the authoritative
source, repeating a snapshot of that source in a document that  will
never change is at best confusing.  I would much prefer just adding
something like "For the current list of assignments related to ERP, see
the IANA registry [EAP-NUMBERS]." where [EAP-NUMBERS] cites
http://www.iana.org/assignments/eap-numbers/eap-numbers.xml.

...

>> And then add the (informative) reference of course!

OK, so during the IESG review of RFC 3588bis, we got nit-picking
discusses about referencing RFC 3588 because it would be obsolete soon.
 Seems like a no-win situation to me...

...